Subject: Re: [urn] Request for urn mrn

From: Kasper Nielsen <[email-masked]>
Date: Thu, 24 Aug 2017 17:15:58 +0200

Hi,

I have updated my submission to reflect RFC 8141.
https://raw.githubusercontent.com/dma-dk/www.mrnregistry.org/gh-pages/iana-registration

There are some mentions in my submission to some guidelines at
http://www.mrnregistry.org regarding MRN assignment that are not yet
available. However, we are still figuring out the details and they will be
available in the near future.

Best
  Kasper

On 8 July 2017 at 10:21, Kasper Nielsen <[email-masked]> wrote:

> Hi Peter,
>
> Thank you so much for bringing this to my intention. I've modelled the
> draft after previous URN RFC submissions based on RFC 2141 + 3406, are
> there any RFCs following RFC 8141 that I can use as a basis for
> restructuring my submission? I have been unable to find any at
> https://www.iana.org/assignments/urn-namespaces/urn-namespaces.xhtml
>
> I am especially struggling with the overall layout. I currently have these
> chapters
>
> Introduction
> Specification Template
>   Namespace ID
>   Registration Information
>   ...
> Examples
> Namespace Considerations
> Community Considerations
> Security Considerations
> IANA Considerations
>
> But in RFC 8141 all of these are put into a specification template.
> What overall structure should I use? Should I just put everything into a
> specification chapter?
>
> Best
>   Kasper
>
>
> On 1 July 2017 at 23:51, Peter Saint-Andre <[email-masked]> wrote:
>
>> Hi Kaspar,
>>
>> Thank you for working on this proposed namespace ID and for the careful
>> documentation in Internet-Draft form.
>>
>> RFC 2141 and RFC 3406 have been replaced by RFC 8141, and the
>> registration template has changed (based on many years of experience
>> with registration of new namespaces). As a result, the Internet-Draft
>> you have posted is not quite conformant to the new template and process.
>> Please refer to RFC 8141 for details:
>>
>> https://tools.ietf.org/html/rfc8141
>>
>> Please let us know when you have posted version -03 of the specification
>> so that we can review it again.
>>
>> Best Regards,
>>
>> Peter
>>
>> On 7/1/17 4:03 AM, Kasper Nielsen wrote:
>> > Greetings,
>> >
>> > On behalf of the International Association of Marine Aids to Navigation
>> > and Lighthouse Authorities (IALA AISM) I would like to submit a
>> > registration request for the urn “mrn”.
>> >
>> > The International Association of Marine Aids to Navigation and
>> > Lighthouse Authorities (IALA) is a non-profit, international technical
>> > association servicing more than 80 countries in the field of marine aids
>> > to navigation.
>> >
>> > The detail about the request can be seen at
>> > https://tools.ietf.org/html/draft-knielsen-mrn-urn-02
>> >
>> > Please contact me and let me know in case you need further information
>> > to process the request.
>> >
>> > Best Regards
>> >
>> > Kasper Nielsen
>> >
>> > IT Architect
>> > Danish Maritime Authority
>> > Carl Jacobsens Vej 31
>> > 2500 Valby
>> > Denmark
>> > +45 26737340
>> >
>>
>>
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Sun, 27 Aug 2017 20:55:24 -0600

Hi Kasper,

Thank you for updating the registration proposal. I have two additional
comments, which you might want to address before submission to IANA
under the "fast track" process. Both topics are related to the fact that
some of the examples reflect standards outside of IALA and the "mrn"
namespace, such as MMSI numbers (defined in ITU recommendation M.585).

1. You might want to make it a bit clearer that such "external"
identifiers will not be defined as MRN URNs unless the relevant
organization (e.g., ITU) explicitly requests registration of an
Organization ID with IALA through mrnregistry.org.

2. How will the MRN namespace handle such external identifiers if in
their native format they include characters that are not allowed by the
URN syntax as defined in RFC 8141? Please see point 4 of Section 6.4.2
of RFC 8141 (as well as Section 2.2) for some guidance.

Best Regards,

Peter

On 8/24/17 9:15 AM, Kasper Nielsen wrote:
> available. However, we are still figuring out the details and they will
> be available in the near future.
> 
> Best
>   Kasper
> 
> On 8 July 2017 at 10:21, Kasper Nielsen <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     Hi Peter,
> 
>     Thank you so much for bringing this to my intention. I've modelled
>     the draft after previous URN RFC submissions based on RFC 2141 +
>     3406, are there any RFCs following RFC 8141 that I can use as a
>     basis for restructuring my submission? I have been unable to find
>     any at
>     <https://www.iana.org/assignments/urn-namespaces/urn-namespaces.xhtml>
> 
>     I am especially struggling with the overall layout. I currently have
>     these chapters
> 
>     Introduction
>     Specification Template
>       Namespace ID
>       Registration Information
>       ...
>     Examples
>     Namespace Considerations
>     Community Considerations
>     Security Considerations
>     IANA Considerations
> 
>     What overall structure should I use? Should I just put everything
>     into a specification chapter?
> 
>     Best
>       Kasper 
>      
> 
>     On 1 July 2017 at 23:51, Peter Saint-Andre <[email-masked]
>     <mailto:[email-masked]>> wrote:
> 
>         Hi Kaspar,
> 
>         <https://tools.ietf.org/html/rfc8141>
> 
>         <https://tools.ietf.org/html/draft-knielsen-mrn-urn-02>
>         >
>         > +45 26737340 <tel:%2B45%2026737340>
>         >

---

From: Kasper Nielsen <[email-masked]>
Date: Thu, 31 Aug 2017 10:31:45 +0200

Hi Peter,

Thank you for the your pointers. I should have addressed both of your
concerns (see inlined)
An updated version is available at
https://raw.githubusercontent.com/dma-dk/www.mrnregistry.org/gh-pages/iana-registration

> Organization ID with IALA through mrnregistry.org.
Added the following to the example section

++++
It is important to note that even though IALA is the maintainer of the MRN
URN namespace it cannot define MRNs outside of the "urn:mrn:iala" namespace.
All of the above examples that are not in the "urn:mrn:iala" namespace,
requires that the relevant organization explicitly requests an Organization
ID with IALA.
++++

> of RFC 8141 (as well as Section 2.2) for some guidance.
Added the following to the Syntax section

++++
If adopting existing non-URN based identifier systems that includes
characters not allowed by the URN syntax as specified in [RFC8141].
The representation of these characters should be handled by
percent-encoding
the character as specified in Section 2.1 of the URI specification
[RFC3986].
++++

/Kasper

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 31 Aug 2017 20:20:17 -0600

On 8/31/17 2:31 AM, Kasper Nielsen wrote:
> An updated version is available
> at https://raw.githubusercontent.com/dma-dk/www.mrnregistry.org/gh-pages/iana-registration

That looks good to me. Thank you for considering my feedback.

Peter